import { ref } from 'vue'
import { defineStore } from 'pinia'

export const useAlterToneStore = defineStore('alterTone', () => {
    const alterTone = ref(false)
    const superAlterTone = ref(false)

    const getAlterTone = () => {
        return alterTone.value
    }
    const setAlterTone = (value: boolean) => {
        alterTone.value = value
    }
    const getSuperAlterTone = () => {
        return superAlterTone.value
    }
    const setSuperAlterTone = (value: boolean) => {
        superAlterTone.value = value
    }
    return { getAlterTone, setAlterTone, getSuperAlterTone, setSuperAlterTone }
})